State File Reference
`#include <osg/Export>`
`#include <osg/GLExtensions>`
`#include <osg/StateSet>`
`#include <osg/Matrix>`
`#include <osg/Uniform>`
`#include <osg/BufferObject>`
`#include <osg/Observer>`
`#include <osg/Timer>`
`#include <osg/VertexArrayState>`
`#include <osg/ShaderComposer>`
`#include <osg/FrameStamp>`
`#include <osg/DisplaySettings>`
`#include <osg/Polytope>`
`#include <osg/Viewport>`
`#include <osg/AttributeDispatchers>`
`#include <osg/GraphicsCostEstimator>`
`#include <iosfwd>`
`#include <vector>`
`#include <map>`
`#include <set>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osg::State
struct | osg::State::ApplyModeProxy
struct | osg::State::ApplyTextureModeProxy
struct | osg::State::SetCurrentVertexArrayStateProxy
struct | osg::State::DynamicObjectRenderingCompletedCallback
struct | osg::State::ModeStack
struct | osg::State::AttributeStack
struct | osg::State::UniformStack
struct | osg::State::DefineStack
struct | osg::State::DefineMap

## Namespaces

namespace | osg

## Macros

#define | OSG_STATE 1
#define | GL_TEXTURE0 0x84C0
#define | OSG_GL_DEBUG(message)

## Macro Definition Documentation

## GL_TEXTURE0

#define GL_TEXTURE0 0x84C0

Referenced by osg::State::MultiTexCoord(), and osg::State::setActiveTextureUnit().

## OSG_GL_DEBUG

#define OSG_GL_DEBUG | ( |  | message | ) |

Value:
if (state.getFineGrainedErrorDetection()) \
{ \
GLenum errorNo = glGetError(); \
if (errorNo!=GL_NO_ERROR) \
{ \
osg::notify(WARN)<<"Warning: detected OpenGL error '"<<gluErrorString(errorNo)<<" "<<message<<endl; \
}\
}

macro for use with osg::StateAttribute::apply methods for detecting and reporting OpenGL error messages.

## OSG_STATE

#define OSG_STATE 1